.myNav_content {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 12px 0;
}
.menu ul {
  display: flex;
  gap: 3rem;
  align-items: center;
}
.logo img {
  width: 180px;
}
.menu ul li a {
  text-transform: capitalize;
  font-size: 18px;
  color: var(--black-color);
}

.topNav {
  padding: 10px 0;
  background-color: var(--main-color);
}
.topNav_content {
  display: flex;
  justify-content: space-between;
  align-items: center;
  color: var(--white-color);
}
.topNav_content a {
  color: var(--white-color);
  display: flex;
  gap: 3px;
  align-items: center;
}
.topNav_content__left,
.topNav_content__right {
  display: flex;
  gap: 14px;
  align-items: center;
}

/* banner_wrapper */
.banner_wrapper {
  position: relative;
}
.banner_img {
  position: relative;
}
.banner_img img {
  width: 100%;
  height: 550px;
  object-fit: cover;
}
.banner_content {
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  width: 70%;
  text-align: center;
  color: var(--white-color);
}
.banner_img::after {
  content: "";
  position: absolute;
  left: 0;
  top: 0;
  height: 100%;
  width: 100%;
  background: rgba(0, 0, 0, 0.525);
  backdrop-filter: blur(1px);
}

.banner_content h1 {
  font-size: 46px;
  font-weight: 600;
  text-shadow: 0 0 3px rgba(0, 0, 0, 0.5);
}
.banner_content p {
  margin-top: 2rem;
  font-size: 18px;
}
.myBtn {
  margin-top: 3rem;
}

/* trust-flex */
.trust_wrapper {
  background-color: whitesmoke;
  padding: 30px 0 50px 0;
}
.trust_wrapper .global_content {
  margin-top: 24px;
}
.trust-flex {
  display: grid;
  border: 1px solid #ccc;
  border-radius: 10px;
  grid-template-columns: repeat(4, 1fr);
  text-align: center;
  overflow: hidden;
}
.trust-flex-box {
  border-right: 1px solid #ccc;
  padding: 40px;
  background-color: var(--white-color);
  overflow: hidden;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}
.trust-flex-box:nth-child(4) {
  border-right: 0;
}
.trust-flex h3 {
  font-weight: 600;
  color: var(--main-color);
  font-size: 30px;
}
.trust-flex p {
  font-weight: 600;
  color: var(--black-color);
}
.trsut-slides {
  margin-top: 1rem;
  padding: 1rem;
  border: 1px solid #ccc;
  border-radius: 10px;
  background-color: var(--main-color);
}
.trsut-slides ul {
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.trsut-slides ul li {
  color: var(--white-color);
  font-size: 20px;
  position: relative;
}
.trsut-slides ul li:last-child::after {
  content: inherit;
}
.trsut-slides ul li::after {
  content: "";
  position: absolute;
  right: -60px;
  top: 50%;
  transform: translateY(-50%);
  height: 10px;
  width: 10px;
  background-color: var(--white-color);
  border-radius: 100px;
}
/* about css start */
.global_wrapper {
  padding: 80px 0;
}
.about_wrapper__img img {
  width: 100%;
  height: 100%;
  border-radius: 10px;
  object-fit: cover;
}
.about_wrapper__img,
.about_wrapper__content {
  display: flex;
  flex-direction: column;
  justify-content: center;
  height: 100%;
}

.about_wrapper__content h2,
.main_heading h2 {
  font-weight: 600;
  max-width: max-content;
  background-color: var(--main-color);
  color: var(--white-color);
  font-size: 16px;
  text-transform: capitalize;
  padding: 4px 10px;
  border-radius: 100px;
}

.about_wrapper__content h3,
.main_heading h3 {
  font-size: 32px;
  margin-top: 1rem;
}
.about_wrapper__content p {
  margin-top: 1rem;
  font-size: 18px;
}

/* mission-vision-box */
.mission-vision-box {
  margin-bottom: 1.5rem;
  padding: 20px;
  border-left: 3px solid var(--main-color) !important;
  border: 1px solid var(--main-color);
}
.mission-vision-box:last-child {
  margin-bottom: 0;
}

.mission-vision-box:nth-child(1) {
  background-color: #e7f3ff;
}
.mission-vision-box:nth-child(2) {
  background-color: white;
}
.mission-vision-box h3 {
  font-size: 22px;
  font-weight: 600;
  text-transform: capitalize;
  color: var(--main-color);
}
.mission-vision-box p {
  margin-top: 12px;
}
/* why choose us */
.main_heading {
  text-align: center;
}
.main_heading p {
  max-width: 700px;
  margin: 0 auto;
  margin-top: 12px;
}
.main_heading h2 {
  background-color: var(--white-color);
  color: var(--main-color);
  margin: 0 auto;
}
.main_heading h3 {
  max-width: 800px;
  margin: 0 auto;
  color: var(--white-color);
  margin-top: 1.2rem !important;
}

.global_content {
  margin-top: 3rem;
}
.why_box {
  background-color: var(--white-color);
  padding: 20px;
  transition: 0.3s ease;
  border-radius: 10px;
  height: 95%;
  margin-bottom: 30px;
}
.why_box:hover {
  background-color: var(--black-color);
  color: var(--white-color);
  transition: 0.3s ease;
  transform: translateY(-10px);
}
.why_box h3 {
  text-transform: capitalize;
  font-size: 22px;
  font-weight: 600;
  margin-top: 1rem;
}
.why_box p {
  margin-top: 10px;
}

.why_box__icon i {
  height: 50px;
  width: 50px;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: var(--main-color);
  font-size: 22px;
  border-radius: 100px;
  color: var(--white-color);
}

/* cta_wrapper */
.cta_wrapper {
  background:
    linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)),
    url("../images/cta.jpg");
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
  color: var(--white-color);
  background-attachment: fixed;
}
.cta_wrapper__content {
  text-align: center;
}
.cta_wrapper__content h2 {
  font-size: 32px;
  font-weight: 500;
  max-width: 800px;
  margin: 0 auto;
}
.cta_wrapper__content p {
  font-size: 18px;
  max-width: 800px;
  margin: 0 auto;
  margin-top: 1rem;
}
.center-btn {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 1rem;
}

/* contact_left */
.contact_left h2,
.contact-form h2 {
  text-transform: capitalize;
  font-weight: 600;
  font-size: 32px;
  color: var(--main-color);
}
.contact_left p {
  margin-top: 1rem;
  font-size: 16px;
}

.company-details {
  margin-top: 20px;
}
.company-details a {
  display: block;
  margin-bottom: 12px;
  color: var(--black-color);
}
.company-details a span {
  color: var(--main-color);
  font-weight: 700;
}
.contact_input iframe {
  width: 100%;
  height: 500px;
}
.contact_input input,
.contact_input textarea {
  width: 100%;
  margin-top: 1rem;
  padding: 10px;
  outline: none;
  border: 1px solid #ccc;
  background-color: #e7e7e7;
}
.contact-form {
  padding: 20px;
  background-color: whitesmoke;
  border: 1px solid #ccc;
  border-radius: 10px;
}
.contact-form h2 {
  margin-bottom: 20px !important;
}
.map iframe {
  width: 100%;
  height: 328px;
  border-radius: 10px;
}
.menu_icon {
  display: none;
}

/* mobileNav */
.mobileNav {
  position: fixed;
  right: -100%;
  top: 0;
  height: 100%;
  width: 100%;
  background: rgba(0, 0, 0, 0.5);
  backdrop-filter: blur(3px);
  z-index: 999;
  transition: 0.3s ease;
}
.mobileNav.active {
  right: 0;
  transition: 0.3s ease;
}
.mobileNav_content {
  position: absolute;
  right: 0;
  top: 0;
  width: 100%;
  max-width: 500px;
  background-color: var(--white-color);
  height: 100%;
}
.mobile_header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 1rem;
  border-bottom: 1px solid #ccc;
}
.close-icon i {
  font-size: 18px;
  height: 30px;
  width: 30px;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: var(--main-color);
  color: var(--white-color);
  border-radius: 100px;
}
.mobile-menu ul li a {
  display: block;
  padding: 1rem;
  border-bottom: 1px solid #efecec;
  text-transform: capitalize;
  color: var(--black-color);
  font-size: 18px;
}
.mobile-logo a {
  font-size: 25px !important;
}

.cta-flex {
  display: flex;
  justify-content: space-between;
  align-items: center;
  max-width: 900px;
  margin: 0 auto;
  gap: 3rem;
  color: var(--black-color);
  margin-top: 3rem;
}
.cta-box {
  border-radius: 10px;
  padding: 30px 20px 35px 20px;
  border: 1px solid #ccc;
  color: var(--white-color);
  background: linear-gradient(45deg, var(--main-color), #00000061);
}
.cta-box h3 {
  font-size: 24px;
}
.cta-box .myBtn {
  margin-top: 20px;
}
.cta-box p {
  margin-top: 10px;
  font-size: 15px;
}
.cta-box .global_btn {
  border: 1px solid #ccc;
}
@media (max-width: 1440px) {
  .banner_content {
    width: 80%;
  }

  .trsut-slides ul li::after {
    right: -44px;
  }
  .banner_content h1 {
    font-size: 36px;
  }
  .why_box h3 {
    font-size: 18px;
  }
  .why_box p {
    font-size: 15px;
  }
}

@media (max-width: 1200px) {
  .trust-flex h3 {
    font-size: 20px;
  }
  .trsut-slides {
    overflow-x: auto; /* scroll enable */
    white-space: nowrap; /* items ek line me */
  }

  .trsut-slides ul {
    gap: 20px; /* spacing (optional) */
    padding: 0;
    margin: 0;
  }
  .trsut-slides ul li::after {
    right: -24px;
  }
  .about_wrapper__content h3,
  .main_heading h3 {
    font-size: 25px;
  }
  .trsut-slides li {
    list-style: none;
    flex: 0 0 auto; /* shrink na ho */
  }
}
@media (max-width: 992px) {
  .about_wrapper__content {
    margin-top: 1rem;
  }
  .cta-box h3 {
    font-size: 20px;
  }
  .cta-flex {
    gap: 1rem;
  }
  .trsut-slides ul {
    width: 1000px;
  }
  .trsut-slides ul li::after {
    right: -36px;
  }
  .trust-flex-box {
    padding: 20px;
  }
  .why_box {
    margin-bottom: 20px;
  }
  .banner_content h1 {
    font-size: 42px;
  }
}

@media (max-width: 768px) {
  .global_wrapper {
    padding: 50px 0;
  }
  .cta-flex {
    flex-direction: column;
    margin-top: 20px;
  }
  .trust-flex {
    grid-template-columns: repeat(2, 1fr);
  }
  .trust-flex-box:nth-child(2) {
    border-right: 0;
    border-bottom: 1px solid #ccc;
  }

  .trust-flex-box:nth-child(1) {
    border-bottom: 1px solid #ccc;
  }
  .trsut-slides ul li {
    font-size: 16px;
  }
  .trsut-slides ul {
    width: 750px;
  }
  .trsut-slides ul li::after {
    right: -20px;
    height: 7px;
    width: 7px;
  }
  .global_content,
  .myBtn {
    margin-top: 2rem;
  }
  .menu ul {
    gap: 1rem;
  }
  .menu ul li a {
    font-size: 16px;
  }

  .topNav_content a {
    font-size: 13px;
  }
  .topNav_content__left,
  .topNav_content__right {
    gap: 10px;
  }
  .banner_content {
    width: 96%;
  }
  .banner_content h1 {
    font-size: 25px;
  }
  .banner_content p {
    margin-top: 1rem;
    font-size: 16px;
  }
  .about_wrapper__content h3,
  .main_heading h3 {
    font-size: 24px;
  }
  .banner_img img {
    height: 450px;
  }
  .about_wrapper__content h3 {
    margin-top: 1rem;
  }
  .about_wrapper__content p {
    font-size: 15px;
    margin-top: 10px;
  }
}

@media (max-width: 576px) {
  .about_wrapper__content h3,
  .main_heading h3 {
    font-size: 19px;
  }

  .topNav_content__right {
    display: none;
  }
  .why_box {
    margin-bottom: 14px;
  }
  .why_box h3 {
    font-size: 16px;
  }
  .why_box p {
    margin-top: 7px;
  }
  .why_box__icon i {
    height: 40px;
    width: 40px;
    font-size: 18px;
  }
  .cta_wrapper__content h2 {
    font-size: 23px;
  }
  .cta_wrapper__content p {
    font-size: 16px;
  }
  .contact_left p {
    font-size: 16px;
    margin-top: 10px;
  }
  .company-details a {
    font-size: 16px;
  }
  .contact_left h2,
  .contact-form h2 {
    font-size: 24px;
  }
  .contact_input input,
  .contact_input textarea {
    margin-top: 10px;
    padding: 5px;
    font-size: 13px;
  }
  .topNav_content {
    flex-wrap: wrap;
    gap: 6px;
    justify-content: center;
  }
  .menu_icon {
    display: block;
  }
  .menu {
    display: none;
  }
  .menu_icon i {
    font-size: 22px;
  }
  .logo img {
    width: 150px;
  }
}
